Subject: X11::Fvwm 0.4 uploaded to PAUSE
From: [email-masked] (Randy J. Ray)
Date: 12 Jul 1997 19:16:23 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Sun Jul  6 17:26:26 MDT 1997

Version 0.4 of X11::Fvwm has been uploaded to PAUSE, and should propagate to
CPAN servers over the next few days.

This is the second beta release. I plan to hold here until the next major
upgrade to Fvwm itself, as I am now distibuting fvwm patches that I suspect
will be included in the next release (post-2.0.45).  The interface style
and overall functionality are now fairly stable, and drastic changes should
be minimal. Changes in this version are listed below.

>From the README file for 0.4:

X11::Fvwm version 0.4 (beta 2)

WHAT IS IT?

This is a Perl 5 extension to simplify writing Fvwm2 modules in Perl 5. Not
only in Perl 5, but with either the Tk extension or the Xforms library as
your GUI choices!

This requires fvwm 2.0.45 or better, and Perl 5.002 or better. It is
very highly recommended that you also install the latest version of Tk
or X11::Xforms, also available from CPAN.

WHAT DOES IT DO?

Fvwm2 has a very well-defined module API, to allow the brunt of non-core
window-manager work be done by external modules. X11::Fvwm is a layer over
this interface, allowing you to use Perl rather than C as the language for
developing these modules.

When fvwm launches a module, it sets up file descriptors for two-way
communication, and proceeds to occassionally broadcast data packets to
those modules that have asked to receive the given data type. The modules,
in turn, can send commands back to fvwm, including requests for more (and
more specific) data, operation on windows managed by fvwm, etc.

PROBLEMS/BUG REPORTS

Please send any reports of problems or bugs to [email-masked]. I wouldn't
mind a short note to know that you're using this, just so I can justify its
continued development :-).

CREDITS AND LICENSES

This package is copyright (c) 1997 by Randy Ray ([email-masked]) and may be
distributed under terms of the Artistic License used to cover Perl itself.
See the file Artistic in the distribution of Perl 5.002 or later for details
of copy and distribution terms. All rights reserved.

>From the Changes file for 0.4:

* Some demos re-named to support a constant scheme: All demos start with
  "Perl" so that a single Style class can be applied to them. Those that also
  use Tk have names that start "PerlTk". This affected pDebug (now PerlDebug)
  and TkPerlConsole (now PerlTkConsole).

* Docs cleaned up some.

* Now package and ship three patches that are relevant to the implementation
  of this module, in a "patches" directory. Described in the CAVEATS section
  of X11::Fvwm.3.

* P_PACKET_PASSALL was a do-nothing option (the nature of split and unpack
  already controlled the number of parts that a packet was broken down into).
  It has been removed, and P_ALL_OPTIONS updated.

* Removed the "Stack Trace" button in Fvwm::Defaults.pm:TkFvwmError():
  Duh, it's always called from the same sequence of routines (processPacket,
  etc.).

-- 
===============================================================================
Randy J. Ray -- U S WEST Technologies IAD/CSS/DPDS         Phone: (303)595-2869
                Denver, CO                                     [email-masked]
"It's not denial. I'm just very selective about the reality I accept." --Calvin